`define initialization_time 100 //micro seconds
`define clk_frequency 25 //Mhz
`define init_cycles `clk_frequency * `initialization_time

`define burst_length 3'b000 //000=1 001=2 010=4 011=8 111=fullPage
`define burst_type 1'b0 //0=sequential 1=interleaved
`define CAS_latency 3'b010 //010=2 011=3
`define operating_mode 2'b00 //all other modes are reserved
`define write_burst_mode 1'b0 //0=programedBurstLength 1=singleLocationAccess
`define reserved_bits 2'b00//reserved for future use
`define mode_bits {`reserved_bits, `write_burst_mode, `operating_mode, `CAS_latency, `burst_type, `burst_length}

`define auto_precharge 1'b1
`define manual_precharge 1'b0